summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--eclass/vim-plugin.eclass26
1 files changed, 13 insertions, 13 deletions
diff --git a/eclass/vim-plugin.eclass b/eclass/vim-plugin.eclass
index b9ffc0b262e2..07c9ed3e8f1b 100644
--- a/eclass/vim-plugin.eclass
+++ b/eclass/vim-plugin.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vim-plugin.eclass,v 1.21 2007/05/07 19:06:14 pioto Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vim-plugin.eclass,v 1.22 2008/08/14 07:45:28 hawking Exp $
#
# This eclass simplifies installation of app-vim plugins into
# /usr/share/vim/vimfiles. This is a version-independent directory
@@ -24,17 +24,17 @@ vim-plugin_src_install() {
ebegin "Fixing file permissions"
# Make sure perms are good
- chmod -R a+rX ${S} || die "chmod failed"
- find ${S} -user 'portage' -exec chown root '{}' \; || die "chown failed"
+ chmod -R a+rX "${S}" || die "chmod failed"
+ find "${S}" -user 'portage' -exec chown root '{}' \; || die "chown failed"
if use userland_BSD || use userland_Darwin ; then
- find ${S} -group 'portage' -exec chgrp wheel '{}' \; || die "chgrp failed"
+ find "${S}" -group 'portage' -exec chgrp wheel '{}' \; || die "chgrp failed"
else
- find ${S} -group 'portage' -exec chgrp root '{}' \; || die "chgrp failed"
+ find "${S}" -group 'portage' -exec chgrp root '{}' \; || die "chgrp failed"
fi
eend $?
# Install non-vim-help-docs
- cd ${S}
+ cd "${S}"
for f in *; do
[[ -f "${f}" ]] || continue
if [[ "${f}" = *.html ]]; then
@@ -46,12 +46,12 @@ vim-plugin_src_install() {
done
# Install remainder of plugin
- cd ${WORKDIR}
+ cd "${WORKDIR}"
dodir /usr/share/vim
- mv ${S} ${D}/usr/share/vim/vimfiles
+ mv "${S}" "${D}"/usr/share/vim/vimfiles
# Fix remaining bad permissions
- chmod -R -x+X ${D}/usr/share/vim/vimfiles/ || die "chmod failed"
+ chmod -R -x+X "${D}"/usr/share/vim/vimfiles/ || die "chmod failed"
}
vim-plugin_pkg_postinst() {
@@ -73,13 +73,13 @@ vim-plugin_pkg_postrm() {
# /usr/share/vim/vimfiles/after/* comprised of the snippets in
# /usr/share/vim/vimfiles/after/*/*.d
update_vim_afterscripts() {
- local d f afterdir=${ROOT}/usr/share/vim/vimfiles/after
+ local d f afterdir="${ROOT}"/usr/share/vim/vimfiles/after
# Nothing to do if the dir isn't there
- [ -d ${afterdir} ] || return 0
+ [ -d "${afterdir}" ] || return 0
einfo "Updating scripts in /usr/share/vim/vimfiles/after"
- find ${afterdir} -type d -name \*.vim.d | \
+ find "${afterdir}" -type d -name \*.vim.d | \
while read d; do
echo '" Generated by update_vim_afterscripts' > "${d%.d}"
find "${d}" -name \*.vim -type f -maxdepth 1 -print0 | \
@@ -87,7 +87,7 @@ update_vim_afterscripts() {
done
einfo "Removing dead scripts in /usr/share/vim/vimfiles/after"
- find ${afterdir} -type f -name \*.vim | \
+ find "${afterdir}" -type f -name \*.vim | \
while read f; do
[[ "$(head -n 1 ${f})" == '" Generated by update_vim_afterscripts' ]] \
|| continue